# Generated from sensu-plugins-dcos-0.4.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sensu-plugins-dcos

Name: rubygem-%{gem_name}
Version: 0.4.2
Release: 1%{?dist}
Summary: Sensu plugins for dcos-metrics checks and metrics
License: Apache-2.0
URL: https://github.com/PTC-Global/sensu-plugins-dcos
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1.0
# BuildRequires: rubygem(codeclimate-test-reporter) >= 0.4
# BuildRequires: rubygem(codeclimate-test-reporter) < 1
# BuildRequires: rubygem(github-markup) >= 1.3
# BuildRequires: rubygem(github-markup) < 2
# BuildRequires: rubygem(json) < 2.0.0
# BuildRequires: rubygem(kitchen-docker) >= 2.6
# BuildRequires: rubygem(kitchen-docker) < 3
# BuildRequires: rubygem(kitchen-localhost) >= 0.3
# BuildRequires: rubygem(kitchen-localhost) < 1
# BuildRequires: rubygem(mixlib-shellout) < 2.3.0
# BuildRequires: rubygem(mixlib-shellout) >= 2.2
# BuildRequires: rubygem(mixlib-shellout) < 3
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(redcarpet) >= 3.2
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.51.0
# BuildRequires: rubygem(rubocop) < 0.52
# BuildRequires: rubygem(serverspec) >= 2.36.1
# BuildRequires: rubygem(serverspec) < 2.37
# BuildRequires: rubygem(test-kitchen) >= 1.6
# BuildRequires: rubygem(test-kitchen) < 2
# BuildRequires: rubygem(yard) >= 0.8
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
This plugin provides native dcos-metrics instrumentation
for monitoring and metrics collection.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/check-dcos-metrics.rb
%{_bindir}/metrics-dcos-containers.rb
%{_bindir}/check-dcos-container-count.rb
%{_bindir}/check-dcos-node-health.rb
%{_bindir}/check-dcos-component-health.rb
%{_bindir}/metrics-dcos-system-health.rb
%{_bindir}/metrics-dcos-host.rb
%{_bindir}/check-dcos-ping.rb
%{_bindir}/check-dcos-container-metrics.rb
%{_bindir}/check-dcos-jobs-health.rb
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 0.4.2-1
- Initial package
